Subject: bug#11367: 24.0.95.1 Crash: Windows 7 using egg

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Apr 2012 10:13:54 +0300

> From: Michael Kleehammer <[email-masked]>
> Date: Fri, 27 Apr 2012 15:03:51 -0500
> 
> I can pretty consistently crash 24.0.95.1 (and could some previous
> pre-releases).
> 
> Since I am on Windows, I'm not sure how to help debug this.  How can I
> generate a useful stack trace for this?

Like this:

 . Download and install a MinGW build of GDB (you can find it here:

     http://sourceforge.net/projects/mingw/files/MinGW/Extension/gdb/GDB-7.4/gdb-7.4-2-mingw32-bin.tar.lzma/download

 . From the Emacs source repository, download the file .gdbinit,
   available here:

     http://bzr.savannah.gnu.org/lh/emacs/emacs-24/annotate/head:/src/.gdbinit

 . Start GDB from the shell prompt in the same directory where you put
   .gdbinit, like this:

    gdb /path/to/emacs.exe

 . When GDB starts and displays its prompt, run emacs:

    (gdb) run

 . Perform the steps to reproduce the problem.  When Emacs crashes (or
   aborts, see below), GDB will kick in, and you can type the
   backtrace command:

    (gdb) bt full

 . Post here the backtrace.  Keep the crashed session running, because
   we might ask you to find out more by using additional GDB commands.

> The step that crashes is to add a new file to egg (the emacs git interface).
> 
> The steps to reproduce are:
>  * Create an empty repository.
>  * Create file1, add, and commit with our without egg.
>  * Create 2 new files.
>  * Run egg-status on the directory which will show 2 untracked files.
>  * Put the cursor on the first untracked file and press 's' to stage it.

Is it a crash or an abort?  In the latter case, Emacs displays an
"Emacs Abort Dialog", telling that a fatal error has occurred and
asking you whether you'd like to attach a debugger.

Also, is the above reproducible from "emacs -Q"?